/**
  *  \file client/dialogs/consolelog.h
  *  \brief Console Log Window
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DIALOGS_CONSOLELOG_H
#define PCC_V2_CLIENT_DIALOGS_CONSOLELOG_H

#include "ui/window.h"
#include "client/widgets/consoleview.h"

/** Console display for log messages. This displays a scrolling console
    without more detailed user interaction; it is intended to display
    a record of longer/complex functions but not as a command console
    like the regular console (WConsoleDialog). In particular, it expects
    to run in synchronous mode, without a UI loop to perform redraws. */
class WConsoleLogWindow : public UIWindow {
    WConsoleView console_view;
    ObjectHolder h;

    void init();
 public:
    WConsoleLogWindow(string_t name, int nlines);

    void scrollAfterEnd();
    void open();
    void waitForConfirmation();
};

#endif
