/**
  *  \file client/dialogs/hullsel.h
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DIALOGS_HULLSEL_H
#define PCC_V2_CLIENT_DIALOGS_HULLSEL_H

#include "ui/listbox.h"
#include "ui/widgets/button.h"
#include "ui/widgets/statictext.h"

class WHullSelectionDialog {
 public:
    WHullSelectionDialog();

    bool run(string_t title, string_t help, int& current);

 private:
    int m_raceLimit;
    bool m_sorted;
    UIStringList m_data;
    UIStandardListbox m_list;
    UIButton m_filterButton;
    UIStaticText m_filterText;

    void onMenuButton();
    void onMenuClick();
    void doMenu(UIBaseWidget& refWidget);
    void buildContent();
};

#endif
