/**
  *  \file u/t_game_player.cc
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#include "game/player.h"

#include "u/t_game.h"

void
GamePlayerTestSuite::testParser()
{
    // getPlayerIdFromChar
    TS_ASSERT_EQUALS(getPlayerIdFromChar('0'), 0);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('1'), 1);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('2'), 2);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('3'), 3);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('4'), 4);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('5'), 5);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('6'), 6);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('7'), 7);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('8'), 8);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('9'), 9);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('a'), 10);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('A'), 10);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('b'), 11);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('B'), 11);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('c'), -1);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('C'), -1);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('Q'), -1);
    TS_ASSERT_EQUALS(getPlayerIdFromChar(' '), -1);
    TS_ASSERT_EQUALS(getPlayerIdFromChar('X'), -1);

    // getPlayerChar
    TS_ASSERT_EQUALS(getPlayerChar(0), '0');
    TS_ASSERT_EQUALS(getPlayerChar(1), '1');
    TS_ASSERT_EQUALS(getPlayerChar(2), '2');
    TS_ASSERT_EQUALS(getPlayerChar(3), '3');
    TS_ASSERT_EQUALS(getPlayerChar(4), '4');
    TS_ASSERT_EQUALS(getPlayerChar(5), '5');
    TS_ASSERT_EQUALS(getPlayerChar(6), '6');
    TS_ASSERT_EQUALS(getPlayerChar(7), '7');
    TS_ASSERT_EQUALS(getPlayerChar(8), '8');
    TS_ASSERT_EQUALS(getPlayerChar(9), '9');
    TS_ASSERT_EQUALS(getPlayerChar(10), 'A');
    TS_ASSERT_EQUALS(getPlayerChar(11), 'B');
    TS_ASSERT_EQUALS(getPlayerChar(12), 'X');
}
